Page MenuHomePhabricator

graft: don't remove from a list in a loop
ClosedPublic

Authored by martinvonz on Jan 6 2020, 7:58 PM.

Details

Summary

This addresses a TODO added in a1381eea7c7d (graft: do not use
.remove on a smart set (regression), 2014-04-28). I couldn't measure
any speedup.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

martinvonz created this revision.Jan 6 2020, 7:58 PM
mharbison72 accepted this revision.Jan 6 2020, 11:08 PM
pulkit accepted this revision.Jan 8 2020, 6:25 AM
This revision is now accepted and ready to land.Jan 8 2020, 6:25 AM
This revision was automatically updated to reflect the committed changes.